xmltooling 1.5.6

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
xmltooling::cleanup_const_pair< A, B > Struct Template Reference

Functor for cleaning up const heap objects in key/value containers. More...

`#include <xmltooling/base.h>`

## Public Member Functions
void | operator() (const std::pair< const A, const B * > &p)
| Function operator to delete an object stored as const. More...

## Detailed Description

### template<class A, class B>
struct xmltooling::cleanup_const_pair< A, B >

Functor for cleaning up const heap objects in key/value containers.

## Member Function Documentation

template<class A , class B >

void xmltooling::cleanup_const_pair< A, B >::operator() | ( | const std::pair< const A, const B * > & | p | ) |
| inline

Function operator to delete an object stored as const.

Parameters

  p | a pair in which the second component is the const object to delete

The documentation for this struct was generated from the following file:

- xmltooling/base.h